<template>
  <div class="row padding">
    <div class="columns twelve">
      <div class="white-block">

        <div v-if="!card" class="section__header section__header-with-back">
          <div class="section__header-back" v-on:click="$emit('hideForm')">
            <SVGIcon xlink="next-arrow-20" viewBox="0 0 20 20" rotate="180"/>
          </div>
          <h3 class="section__header-title">Оплата с мобильного телефона</h3>
        </div>

        <!--<text-way-pay :text="'Оплата с мобильного телефона'"></text-way-pay>-->
        <!--<hr>-->
        <div class="padding">
          <span>Вы можете оплатить займ с баланса мобильного телефона следующими способами:</span>
          <ul>
            <li><a href="https://www.ruru.ru/init-payment/29538" target="_blank"> Оплатить займ в один клик на сайте.</a></li>
            <li>
              Отправить SMS на короткий номер 7878 с суммой для оплаты в формате: <br>
              «wb <b style="color: red">{{$user.login}} </b> <b style="color: blue">1000</b>» (без кавычек), где
              <b style="color: red">{{$user.login}}</b> - ваш логин в Webbankir,
              а <b style="color: blue">1000</b> - сумма в рублях.
              <ul class="list-notification">
                <li>Дождитесь SMS с запросом подтверждения оплаты и указанием суммы, которая будет списана с вашего мобильного счета.</li>
                <li>Для подтверждения оплаты, отправьте ответное сообщение, содержащее текст «1». </li>
                <li>Если вы не готовы подтвердить оплату, отправьте ответное сообщение с текстом «0».</li>
              </ul>
            </li>
          </ul>
          <span>Ограничения:</span>
          <ul class="list-notification">
            <li>Баланс после погашения на телефоне должен составлять:
              <ul style="list-style: none">
                <li>МТС/Мегафон более 10 рублей</li>
                <li>Билайн более 50 рублей</li>
              </ul>
            </li>
            <li>Сумма разового платежа составляет не более 5000 рублей</li>
          </ul>
          <span>Ссылка на оферту компании "Мегафон" <a href="http://moscow.megafon.ru/download/~federal/oferts/oferta_m_platezhi.pdf" target="_blank">здесь</a>.</span>
          <!--<ul>-->
            <!--<li>-->
              <!--Отправьте SMS на номер <b>7878</b> с текстом <b class="blue">wb {{$user.login}}</b> <b-->
              <!--class="red">1000</b>-->
              <!--<p class="blue">-->
                <!--<b>{{$user.login}}</b> - ваш логин в личном кабинете-->
              <!--</p>-->
              <!--<p class="red">-->
                <!--<b>1000</b> - сумма оплаты-->
              <!--</p>-->
            <!--</li>-->
            <!--<li>-->
              <!--Дождитесь SMS с запросом на оплату и указанием суммы списания (включающей все возможные комиссии)-->
            <!--</li>-->
            <!--<li>-->
              <!--Для подтверждения оплаты, отправьте ответное сообщение, содержащее текст "1"-->
            <!--</li>-->
            <!--<li>-->
              <!--После совершения перевода на Ваш телефон придет SMS с информацией о платеже-->
            <!--</li>-->
          <!--</ul>-->
        </div>
        <!-- картинка имеет смысл только на большом экране, на маленьком ее показывать нет смысла -->
        <div class="pos-block" v-if="$interface.viewport === 'desktop'">
          <div class="pos-add-funds padding">
            <div class="question-block">
              <div class="question" @click="expand = !expand">
                Визуальная инструкция
                <img src="/lk/static/img/pos/arrow.png" alt="" :class="{expand: expand}" class="faq-arrow">
              </div>
              <transition name="fade">
                <div class="answer" style="display: block;" v-if="expand">
                  <img src="/lk/static/img/phone-pay-manual.jpg" width="100%" alt="">
                </div>
              </transition>
            </div>
          </div>
        </div>
        <link-back-service @hideForm="$emit('hideForm')"></link-back-service>
      </div>
    </div>
  </div>
</template>

<script>
  import TextWayPay from '@/components/Pay/TextWayPay'
  import LinkBackService from '@/components/Chunks/AdditionalServices/LinkBackService'
  import SVGIcon from "../../SVGIcon/index";

  export default {
    name: 'Phone',
    components: {SVGIcon, TextWayPay, LinkBackService},
    data () {
      return {
        expand: false
      }
    }
  }
</script>

<style scoped lang="scss">
  .red {
    color: #f74455;
  }

  .blue {
    color: #198af2;
  }

  ul {
    list-style-type: decimal;
    margin: 0;
    padding: 0;
    margin-left: 20px;
    li {
      padding-left: 1em;
      p:first-child {
        margin-top: 20px;
      }
    }
  }
  ul.list-notification{
    list-style: disc;
  }
</style>
